## jumpnbump 1.50%2Bdfsg1

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	$(MAKE) PREFIX=/usr all data
	$(MAKE) -C debian/contrib/jumpnbump_menu PREFIX=/usr all

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) clean
	$(MAKE) -C debian/contrib/jumpnbump_menu clean
	rm -f data/font.gob

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install -o root -g root -m 755 jumpnbump $(CURDIR)/debian/jumpnbump/usr/games/jumpnbump
	install -o root -g root -m 755 jumpnbump.svgalib $(CURDIR)/debian/jumpnbump/usr/games/jumpnbump.svgalib
	install -o root -g root -m 755 jumpnbump.fbcon $(CURDIR)/debian/jumpnbump/usr/games/jumpnbump.fbcon
	install -o root -g root -m 755 jnbpack $(CURDIR)/debian/jumpnbump/usr/lib/jumpnbump/pack
	install -o root -g root -m 755 jnbunpack $(CURDIR)/debian/jumpnbump/usr/lib/jumpnbump/unpack
	install -o root -g root -m 755 gobpack $(CURDIR)/debian/jumpnbump/usr/lib/jumpnbump/gobpack
	install -o root -g root -m 755 -d $(CURDIR)/debian/jumpnbump/usr/share/games/jumpnbump
	install -o root -g root -m 644 debian/jumpnbump.xpm $(CURDIR)/debian/jumpnbump/usr/share/pixmaps/jumpnbump.xpm
	install -o root -g root -m 644 debian/jumpnbump.desktop $(CURDIR)/debian/jumpnbump/usr/share/applications/jumpnbump.desktop
	install -o root -g root -m 644 data/jumpbump.dat $(CURDIR)/debian/jumpnbump/usr/share/games/jumpnbump/

	$(MAKE) -C debian/contrib/jumpnbump_menu PREFIX=$(CURDIR)/debian/jumpnbump/usr install

	# Man page links
	ln -s jumpnbump.6.gz $(CURDIR)/debian/jumpnbump/usr/share/man/man6/jumpnbump.svgalib.6.gz
	ln -s jumpnbump.6.gz $(CURDIR)/debian/jumpnbump/usr/share/man/man6/jumpnbump-menu.6.gz
	ln -s jumpnbump.6.gz $(CURDIR)/debian/jumpnbump/usr/share/man/man6/jumpnbump.fbcon.6.gz
	ln -s jumpnbump.6.gz $(CURDIR)/debian/jumpnbump/usr/share/man/man6/jumpnbump-pack.6.gz
	ln -s jumpnbump.6.gz $(CURDIR)/debian/jumpnbump/usr/share/man/man6/jumpnbump-unpack.6.gz
	ln -s jumpnbump.6.gz $(CURDIR)/debian/jumpnbump/usr/share/man/man6/jumpnbump-gobpack.6.gz


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman debian/jumpnbump.6
	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## jumpnbump 1.50+dfsg1

=== Makefile ===
SDL_CFLAGS = `sdl-config --cflags`
SDL_LIBS = `sdl-config --libs`
CFLAGS = -Wall -O2 -ffast-math -funroll-loops -Dstricmp=strcasecmp \
	-Dstrnicmp=strncasecmp -DUSE_SDL -DNDEBUG -I. $(SDL_CFLAGS) -DUSE_NET
LIBS = -lm $(SDL_LIBS) -lSDL_mixer -lSDL_net
SDL_TARGET = sdl.a
MODIFY_TARGET = gobpack jnbpack jnbunpack
OBJS = fireworks.o main.o menu.o filter.o
TARGET = jumpnbump
BINARIES = $(TARGET) jumpnbump.svgalib jumpnbump.fbcon $(MODIFY_TARGET) \
	jnbmenu.tcl
PREFIX ?= /usr/local

.PHONY: data

all: $(BINARIES)

$(SDL_TARGET): globals.h
	cd sdl && make

$(MODIFY_TARGET): globals.h
	cd modify && make

$(TARGET): $(OBJS) $(SDL_TARGET) data globals.h
	$(CC) -o $(TARGET) $(OBJS) $(LIBS) $(SDL_TARGET)

$(OBJS): globals.h

globals.h: globals.pre
	sed -e "s#%%PREFIX%%#$(PREFIX)#g" < globals.pre > globals.h

jnbmenu.tcl: jnbmenu.pre
	sed -e "s#%%PREFIX%%#$(PREFIX)#g" < jnbmenu.pre > jnbmenu.tcl

data: jnbpack
	cd data && make

clean:
	cd sdl && make clean
	cd modify && make clean
	cd data && make clean
	rm -f $(TARGET) *.o globals.h jnbmenu.tcl

install:
	mkdir -p $(PREFIX)/games/
	mkdir -p $(PREFIX)/share/jumpnbump/
	mkdir -p $(PREFIX)/share/man/man6/
	install -o root -g games -m 755 $(BINARIES) $(PREFIX)/games/
	install -o root -g games -m 644 data/jumpbump.dat \
	$(PREFIX)/share/jumpnbump/jumpbump.dat
	install -o root -g root -m 644 jumpnbump.6 $(PREFIX)/share/man/man6/

uninstall:
	cd $(PREFIX)/games && rm -f $(BINARIES)
	rm -rf $(PREFIX)/share/jumpnbump
	rm -f $(PREFIX)/share/man/man6/jumpnbump.6

doc:
	rman jumpnbump.6 -f HTML >jumpnbump.html

=== data/Makefile ===
GOBS = numbers.gob objects.gob rabbit.gob
DATAFILES = bump.mod calib.dat death.smp fly.smp font.gob jump.mod \
	jump.smp levelmap.txt level.pcx mask.pcx menu.pcx \
	menumask.pcx $(GOBS) scores.mod splash.smp spring.smp

all: jumpbump.dat

font.gob:
	../gobpack font

rabbit.gob:
	../gobpack rabbit

numbers.gob:
	../gobpack numbers

objects.gob:
	../gobpack objects

jumpbump.dat: $(DATAFILES) ../jnbpack
	../jnbpack -o jumpbump.dat $(DATAFILES)

../jnbpack:
	cd ../modify && make

clean:
	rm -f jumpbump.dat $(GOBS)

=== debian/changelog ===
jumpnbump (1.50+dfsg1-3ubuntu1) oneiric; urgency=low

  * as-needed.patch: fix FTBFS related to linking (LP: #770740).

 -- Ilya Barygin <barygin@gmail.com>  Sat, 25 Jun 2011 14:32:32 +0400

jumpnbump (1.50+dfsg1-3) unstable; urgency=low

  * Team upload.

  [ Paul Wise ]
  * Add patch to the jumpnbump-menu program so that users can
    add new levels and play them (Closes: #602750)
    Patch by Stéphane Blondon <stephane.blondon@gmail.com>
  * Drop dh_desktop usage, it does nothing
  * Wrap Build-Depends one item per line
  * Switch to dpkg-source format v3

  [ Ansgar Burchardt ]
  * Fix FTBFS with binutils-gold (Closes: #554929)

 -- Paul Wise <pabs@debian.org>  Mon, 09 May 2011 14:51:48 +0800

jumpnbump (1.50+dfsg1-2) unstable; urgency=low

  [ Francois Marier ]
  * Remove myself from uploaders

  [ Ansgar Burchardt ]
  * Use quilt for patch management, move some files to debian/
  * handle SQL quit event (Closes: #487333)
  * exit fullscreen mode early to avoid crash (Closes: #432361)
  * Use Makefile to install jumpnbump-menu
  * Add i18n for jumpnbump-menu (Closes: #516850) - thanks to Stéphane
    Blondon <stephane.blondon@gmail.com>
  * Do not link jnbpack, jnbunpack against libm
  * Mention GPL version in debian/copyright

 -- Ansgar Burchardt <ansgar@43-1.org>  Tue, 03 Mar 2009 01:40:20 +0100

jumpnbump (1.50+dfsg1-1) unstable; urgency=high

  * Urgency set to high as this upload closes a security issue:
  * Fix insecure handling of /tmp (Closes: #500611)
  * Fix path to utility programs in jumpnbump-menu (Closes: #500340).
    Thanks to Kilian Kilger <kilian@nihilnovi.de> for the patch.
  * Repackage source to remove dos/libdj.a (no source provided),
    mention this in debian/copyright
  * Bump Standards Version to 3.8.0 (no changes)
  * Add myself to Uploaders.

 -- Ansgar Burchardt <ansgar@43-1.org>  Mon, 29 Sep 2008 22:01:59 +0200

jumpnbump (1.50-12) unstable; urgency=low

  * Fix vcs-browser field to refer to the right package
  * Bump debhelper compatibility to 6
  * Removed the watch file
  * Move utilities to /usr/lib/jumpnbump and update manpage
  * Fix hyphens in manpage

 -- Francois Marier <francois@debian.org>  Tue, 03 Jun 2008 14:31:04 +1200

jumpnbump (1.50-11) unstable; urgency=low

  * Switch to collaborative maintenance with the Games Team
  * Mention secrets in README.Debian
  * Improve copyright statement in debian/copyright
  * Update upstream URL for the menu

 -- Francois Marier <francois@debian.org>  Sat, 26 Apr 2008 15:10:30 +1200

jumpnbump (1.50-10) unstable; urgency=low

  * Call dh_desktop from debian/rules
  * Bump Standards-Version up to 3.7.3 (no other changes)

 -- Francois Marier <francois@debian.org>  Mon, 24 Dec 2007 02:59:21 -0500

jumpnbump (1.50-9) unstable; urgency=low

  * Rename XS-Vcs-* fields to Vcs-*

 -- Francois Marier <francois@debian.org>  Tue, 20 Nov 2007 15:43:47 +1300

jumpnbump (1.50-8) unstable; urgency=low

  * Added README.Debian to describe how to play against the computer
  * debian/rules:
    - Fixed "make distclean" lintian warning
  * Add homepage field in debian/control
  * Add collab-maint repo in debian/control
  * Change the menu section to Games/Action (menu transition)
  * Remove the Application category in the free desktop menu

 -- Francois Marier <francois@debian.org>  Fri, 19 Oct 2007 16:36:36 +1300

jumpnbump (1.50-7) unstable; urgency=low

  * Add a menu item for GNOME and KDE (closes: #422503)
  * Better xpm icon
  * Fix the watch file

 -- Francois Marier <francois@debian.org>  Mon, 07 May 2007 08:44:10 +1200

jumpnbump (1.50-6) unstable; urgency=low

  * Add the AI keyboard shortcuts to the manpage (closes: #369498)
  * Bump Standards-Version up to 3.7.2 (no changes)

 -- Francois Marier <francois@debian.org>  Sun,  4 Jun 2006 01:38:15 -0400

jumpnbump (1.50-5) unstable; urgency=low

  * Apply patch (thanks to Dan Carpenter!) to exit fullscreen mode when you
    quit (closes: #338705)
  * Fixed charset issue in the manpage to get rid of a lintian warning.
  * Fixed watch file

 -- Francois Marier <francois@debian.org>  Wed, 18 Jan 2006 23:48:50 -0500

jumpnbump (1.50-4) unstable; urgency=low

  * Fix the manpage symlinks 

 -- Francois Marier <francois@debian.org>  Mon, 27 Jun 2005 10:02:46 -0400

jumpnbump (1.50-3) unstable; urgency=low

  * New maintainer (closes: #284871): thanks Sam and Gürkan for your work!
  * Bump Standards-Version up to 3.6.2 (no changes)
  * Bump debian/compat and Debhelper dependency to version 4
  * Remove debug patch (closes: #277107)
  * Remove README.Network and outdated network information in README (closes: #314221)
  * Revert PowerPC patch, need a better one (closes: #283952)
  * Removed useless files in /usr/share/doc/jumpnbump
  * Update manpage with current command line parameters
  * Make the package Lintian and Linda clean
  * Add watch file

 -- Francois Marier <francois@debian.org>  Sun, 26 Jun 2005 13:02:29 -0400

jumpnbump (1.50-2) unstable; urgency=low

  * main.c: fix for a PowerPC crash, courtesy of James Morrison
    (Closes: #277737).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 24 Oct 2004 13:30:39 +0200

jumpnbump (1.50-1) unstable; urgency=low

  * New upstream release (Closes: #259975).
  * New maintainers (Sam Hocevar and Gürkan Sengün).
  * debian/control:
    + Set policy to 3.6.1.1.
    + Uncapitalised short description.
  * debian/menu:
    + Quoted strings where appropriate.
  * debian/rules:
    + Use debian/compat instead of DH_COMPAT.
    + Replaced deprecated call to dh_installmanpages with dh_installman.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 20 Jul 2004 09:50:36 +0200

jumpnbump (1.41-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Update Standards-Version.

 -- Ivo Timmermans <ivo@debian.org>  Sat, 10 May 2003 00:03:53 +0200

jumpnbump (1.40-6) unstable; urgency=low

  * jumpnbump_menu/jumpnbump_menu.py: Undo hackery.  (Closes: #182448)



=== debian/control ===
Source: jumpnbump
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@43-1.org>
Build-Depends: debhelper (>= 6),
 libsdl1.2-dev (>= 1.2.2-3.1),
 libsdl-mixer1.2-dev (>= 1.2.0-1.1),
 libsdl-net1.2-dev (>= 1.2.0-5.1)
Standards-Version: 3.8.0
Homepage: http://jumpbump.mine.nu/
Vcs-Git: git://git.debian.org/git/pkg-games/jumpnbump.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/jumpnbump.git

Package: jumpnbump
Architecture: any
Suggests: jumpnbump-levels
Depends: ${misc:Depends}, ${shlibs:Depends}, imagemagick,
 python, python-glade2, python-gtk2
Description: cute multiplayer platform game with bunnies
 You, as a bunny, have to jump on your opponents to make them
 explode.  It's a true multiplayer game, you can't play this alone.
 It has network support.
 .
 This program is a unix port of the old DOS game by brainchilddesign.

## jumpnbump 1.51%2Bdfsg1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 SDL_CFLAGS = `sdl-config --cflags`
 SDL_LIBS = `sdl-config --libs`
 CFLAGS = -Wall -O2 -ffast-math -funroll-loops -Dstricmp=strcasecmp \
-	-Dstrnicmp=strncasecmp -DUSE_SDL -DNDEBUG -I. $(SDL_CFLAGS) -DUSE_NET
-LIBS = -lm $(SDL_LIBS) -lSDL_mixer -lSDL_net
+	-Dstrnicmp=strncasecmp -DUSE_SDL -DNDEBUG -I. $(SDL_CFLAGS) \
+	-DUSE_NET -DZLIB_SUPPORT -DBZLIB_SUPPORT
+LIBS = -lm $(SDL_LIBS) -lSDL_mixer -lSDL_net -lbz2 -lz
 SDL_TARGET = sdl.a
 MODIFY_TARGET = gobpack jnbpack jnbunpack
 OBJS = fireworks.o main.o menu.o filter.o

## jumpnbump 1.51+dfsg1

=== modify/Makefile ===
CFLAGS = -Wall -ansi -pedantic -O2 -ffast-math -funroll-loops \
	-Dstricmp=strcasecmp -Dstrnicmp=strncasecmp -DNDEBUG \
	-I. -I.. -DUSE_NET -D_BSD_SOURCE
LIBS = -lm
SRCS = gobpack.c jnbpack.c jnbunpack.c
OBJS = gobpack.o jnbpack.o jnbunpack.o
TARGETS = ../gobpack ../jnbpack ../jnbunpack

all: $(TARGETS)

../gobpack: gobpack.c
	$(CC) $(CFLAGS) -o ../gobpack $(LIBS) gobpack.c

../jnbpack: jnbpack.c
	$(CC) $(CFLAGS) -o ../jnbpack $(LIBS) jnbpack.c

../jnbunpack: jnbunpack.c
	$(CC) $(CFLAGS) -o ../jnbunpack $(LIBS) jnbunpack.c

clean:
	rm -f $(TARGETS) $(OBJS)

=== sdl/Makefile ===
SDL_CFLAGS = `sdl-config --cflags`
CFLAGS = -Wall -ansi -pedantic -O2 -ffast-math -funroll-loops \
	-Dstricmp=strcasecmp -Dstrnicmp=strncasecmp -DNDEBUG \
	-I. -I.. $(SDL_CFLAGS) -DUSE_SDL -DUSE_NET

OBJS = gfx.o interrpt.o sound.o input.o
TARGET = ../sdl.a

all: $(TARGET)

$(TARGET): $(OBJS)
	ar cru $(TARGET) $(OBJS)
	ranlib $(TARGET)

clean:
	rm -f $(TARGET) $(OBJS)

=== debian/changelog ===
jumpnbump (1.51+dfsg1-2) unstable; urgency=medium

  * Fix NetPacket buffer size by adapting its member types
    (Closes: #762698).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Fri, 26 Sep 2014 17:54:37 +0200

jumpnbump (1.51+dfsg1-1) unstable; urgency=medium

  * Add myself to Uploaders.
  * New upstream release (Closes: #476813).
  * Refresh patches.
  * Add Build-Depends: libbz2-dev, zlib1g-dev.
  * Fix Homepage, Vcs-Git and Vcs-Browser fields in debian/control
    to point to the canonical locations.
  * Fix rabbits disappearing in upper left corner due to
    undesired springs added above the screen (Closes: #370650).
  * Fix FTBFS with "ld --as-needed" (Closes: #631702).
  * Convert to debhelper compat level 9, use the dh sequencer,
    re-arrange some debhelper helper files.
  * Adhere to build flags to enable building with hardening flags.
  * Fix a format string vulnerability.
  * Convert debian/copyright to machine-readable format.
  * Add Keywords field to debian/jumpnbump.desktop file.
  * Run "wrap-and-sort -asb".
  * Add high-resolution icon in PNG format.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Sat, 20 Sep 2014 18:50:17 +0200

=== debian/control ===
Source: jumpnbump
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Ansgar Burchardt <ansgar@43-1.org>,
 Fabian Greffrath <fabian+debian@greffrath.com>
Build-Depends:
 debhelper (>= 9),
 libbz2-dev,
 libsdl-mixer1.2-dev (>= 1.2.0-1.1),
 libsdl-net1.2-dev (>= 1.2.0-5.1),
 libsdl1.2-dev (>= 1.2.2-3.1),
 zlib1g-dev
Standards-Version: 3.9.5
Homepage: https://www.icculus.org/jumpnbump/
Vcs-Git: git://anonscm.debian.org/pkg-games/jumpnbump.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/jumpnbump.git

Package: jumpnbump
Architecture: any
Suggests:
 jumpnbump-levels
Depends:
 imagemagick,
 python,
 python-glade2,
 python-gtk2,
 ${misc:Depends},
 ${shlibs:Depends}
Description: cute multiplayer platform game with bunnies
 You, as a bunny, have to jump on your opponents to make them
 explode.  It's a true multiplayer game, you can't play this alone.
 It has network support.
 .
 This program is a unix port of the old DOS game by brainchilddesign.

=== debian/rules ===
#!/usr/bin/make -f

debian/jumpnbump.png: sdl/jumpnbump128.xpm
	convert $^ $@

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- PREFIX=/usr all data
	$(MAKE) -C debian/contrib/jumpnbump_menu PREFIX=/usr all

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C debian/contrib/jumpnbump_menu clean

override_dh_auto_install:
	dh_installdirs --all usr/games usr/share/games/jumpnbump
	$(MAKE) -C debian/contrib/jumpnbump_menu PREFIX=$(CURDIR)/debian/jumpnbump/usr install

## jumpnbump 1.60

=== Makefile ===
DESTDIR ?=
PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
DATADIR ?= $(PREFIX)/share
# Can be overridden to use e.g. /usr/share/games
GAMEDATADIR ?= $(DATADIR)
EXE ?=

CFLAGS ?= -Wall -O2 -ffast-math -funroll-loops
SDL_CFLAGS = `sdl2-config --cflags`
DEFINES = -Dstricmp=strcasecmp -Dstrnicmp=strncasecmp -DNDEBUG -DUSE_SDL -DUSE_NET -DZLIB_SUPPORT -DBZLIB_SUPPORT
INCLUDES = -I.
CFLAGS += $(DEFINES) $(SDL_CFLAGS) $(INCLUDES)
export SDL_CFLAGS
export DEFINES
export INCLUDES

LDFLAGS ?=
SDL_LIBS = `sdl2-config --libs`
LIBS = $(SDL_LIBS) -lSDL2_mixer -lSDL2_net -lbz2 -lz -lm

TARGET = jumpnbump$(EXE)
SDL_TARGET = sdl.a
MODIFY_TARGET = gobpack$(EXE) jnbpack$(EXE) jnbunpack$(EXE)
OBJS = main.o menu.o filter.o network.o
BINARIES = $(TARGET) $(MODIFY_TARGET)

.PHONY: data

all: $(BINARIES) jnbmenu

$(SDL_TARGET): globals.h
	$(MAKE) -C sdl

$(MODIFY_TARGET): globals.h
	$(MAKE) -C modify

$(TARGET): $(OBJS) $(SDL_TARGET) data globals.h
	$(CC) $(CFLAGS) -o $(TARGET) $(OBJS) $(LDFLAGS) $(SDL_TARGET) $(LIBS)

$(OBJS): globals.h

globals.h: globals.pre
	sed -e "s#%%DATADIR%%#$(GAMEDATADIR)#g" < globals.pre > globals.h

data: $(MODIFY_TARGET)
	$(MAKE) -C data

jnbmenu:
	$(MAKE) -C menu

clean:
	for dir in data modify sdl; do $(MAKE) clean -C $$dir; done
	$(RM) $(TARGET) *.exe *.o globals.h

	$(MAKE) -C menu clean

install:
	mkdir -p $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(GAMEDATADIR)/jumpnbump/
	mkdir -p $(DESTDIR)$(DATADIR)/appdata/
	mkdir -p $(DESTDIR)$(DATADIR)/applications/
	mkdir -p $(DESTDIR)$(DATADIR)/icons/
	mkdir -p $(DESTDIR)$(DATADIR)/man/man6/
	install -m 755 $(BINARIES) $(DESTDIR)$(BINDIR)/
	install -m 644 data/jumpbump.dat \
		$(DESTDIR)$(GAMEDATADIR)/jumpnbump/jumpbump.dat
	install -m 644 dist/jumpnbump.appdata.xml \
		$(DESTDIR)$(DATADIR)/appdata/jumpnbump.appdata.xml
	install -m 644 dist/jumpnbump.desktop \
		$(DESTDIR)$(DATADIR)/applications/jumpnbump.desktop
	install -m 644 dist/jumpnbump-menu.desktop \
		$(DESTDIR)$(DATADIR)/applications/jumpnbump-menu.desktop
	install -m 644 dist/jumpnbump.png \
		$(DESTDIR)$(DATADIR)/icons/jumpnbump.png
	install -m 644 dist/jumpnbump.6 $(DESTDIR)$(DATADIR)/man/man6/

	$(MAKE) -C menu install

uninstall:
	for bin in $(BINARIES); do $(RM) $(DESTDIR)$(BINDIR)/$$bin; done
	$(RM) -r $(DESTDIR)$(GAMEDATADIR)/jumpnbump
	$(RM) $(DESTDIR)$(DATADIR)/appdata/jumpnbump.appdata.xml
	$(RM) $(DESTDIR)$(DATADIR)/applications/jumpnbump.desktop
	$(RM) $(DESTDIR)$(DATADIR)/icons/jumpnbump.png
	$(RM) $(DESTDIR)$(DATADIR)/man/man6/jumpnbump.6

	$(MAKE) -C menu uninstall

doc:
	rman dist/jumpnbump.6 -f HTML > docs/jumpnbump.html

=== menu/Makefile ===
DESTDIR ?=
PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
DATADIR ?= $(PREFIX)/share
# Can be overridden to use e.g. /usr/share/games
GAMEDATADIR ?= $(DATADIR)
UNPACKBIN ?= $(BINDIR)/jnbunpack

all: jumpnbump_menu.py l10n

jumpnbump_menu.py:
	sed -e "s#%%BINDIR%%#$(BINDIR)#g" -e "s#%%DATADIR%%#$(GAMEDATADIR)#g" -e "s#%%UNPACKBIN%%#$(UNPACKBIN)#g" < jumpnbump_menu.py.pre > jumpnbump_menu.py

l10n:
	$(MAKE) -C po all

clean:
	$(RM) jumpnbump_menu.py

	$(MAKE) -C po clean

install:
	install -D -m 644 jumpnbump_menu.glade $(DESTDIR)$(GAMEDATADIR)/jumpnbump/jumpnbump_menu.glade
	install -D -m 755 jumpnbump_menu.py $(DESTDIR)$(BINDIR)/jumpnbump-menu

	$(MAKE) -C po install

uninstall:
	$(RM) $(DESTDIR)$(GAMEDATADIR)/jumpnbump/jumpnbump_menu.glade
	$(RM) $(DESTDIR)$(BINDIR)/jumpnbump-menu

	$(MAKE) -C po uninstall

=== debian/changelog ===
jumpnbump (1.60-3) unstable; urgency=medium

  * Do not build and install the jumpnbump-menu anymore (Closes: #885310).
  * Update Vcs-* to point to salsa.debian.org.
  * Remove trailing whitespace from debian/changelog.
  * Bump debhelper compat to 11.
  * Use secure debian/copyright format URI.
  * Bump Standards-Version to 4.1.3.
  * Install AppStream metadata to the proper location.

 -- Fabian Greffrath <fabian@debian.org>  Sun, 21 Jan 2018 20:41:57 +0100

jumpnbump (1.60-2) unstable; urgency=medium

  * Apply two more patches from the upstream master branch:
    + dist: fix some meta-data syntax
    + Makefile: Fix occasional parallel FTBFS,
      Thanks Adrian Bunk (Closes: #865813)
  * Enable all hardening flags.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 27 Jun 2017 21:47:28 +0200

jumpnbump (1.60-1) unstable; urgency=medium

  [ Ansgar Burchardt ]
  * Remove myself from Uploaders.

  [ Fabian Greffrath ]
  * Follow upstream moving to GitLab.
    + Add debian/watch file.
  * New upstream version 1.60.
  * Adapt packaging to the new upstream release.
    + Remove jumpnbump_menu from debian/contrib as well as the man page,
      the desktop file and the png icon, all of which have been adopted
      by upstream.
    + Remove the debian/clean and debian/source/include-binaries files.
    + Install all upstream documentation.
    + Remove the debian/FAQ file, which doesn't apply anymore.
    + Update Build-Depends in debian/control to the SDL2 library variants.
    + Remove all patches, they have been applied upstream.
    + Update the debian/copyright file.
    + Install all game binaries into /usr/games.
  * Remove the Debian menu file and the XPM icon in favor of the XDG approach.
  * Update Uploaders field to use my Debian mail address.
  * Bump debhelper compat to 10.
  * Bump Standards-Version to 3.9.8.
  * Fix vcs-field-uses-insecure-uri lintian warnings.
  * Let dh-python handle the python dependency.
  * Add doc-base registration.
  * Apply two post-release patches from the upstream GIT repo.
    + appdata: Fix invalid homepage and screenshot URLs.
    + menu: Make python shebang more explicit.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 24 Jun 2017 17:47:22 +0200

=== debian/control ===
Source: jumpnbump
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Fabian Greffrath <fabian@debian.org>
Build-Depends:
 debhelper (>= 11~),
 libbz2-dev,
 libsdl2-dev (>> 2.0.4),
 libsdl2-mixer-dev (>> 2.0.1),
 libsdl2-net-dev (>> 2.0.1),
 zlib1g-dev
Standards-Version: 4.1.3
Homepage: https://gitlab.com/LibreGames/jumpnbump/
Vcs-Git: https://salsa.debian.org/games-team/jumpnbump.git
Vcs-Browser: https://salsa.debian.org/games-team/jumpnbump

Package: jumpnbump
Architecture: any
Suggests:
 jumpnbump-levels
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: cute multiplayer platform game with bunnies
 You, as a bunny, have to jump on your opponents to make them
 explode.  It's a true multiplayer game, you can't play this alone.
 It has network support.
 .
 This program is a unix port of the old DOS game by brainchilddesign.

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S+)/jumpnbump-$1\.tar\.gz/g \
  https://gitlab.com/LibreGames/jumpnbump/tags?sort=updated_desc .*archive\.tar\.gz\?ref=v?(\d\S+)

## jumpnbump 1.61

=== Makefile ===
--- 
+++ 
@@ -25,14 +25,16 @@
 OBJS = main.o menu.o filter.o network.o
 BINARIES = $(TARGET) $(MODIFY_TARGET)
 
-.PHONY: data
+.PHONY: data modify
 
-all: $(BINARIES) jnbmenu
+all: $(BINARIES)
 
 $(SDL_TARGET): globals.h
 	$(MAKE) -C sdl
 
-$(MODIFY_TARGET): globals.h
+$(MODIFY_TARGET): modify
+
+modify: globals.h
 	$(MAKE) -C modify
 
 $(TARGET): $(OBJS) $(SDL_TARGET) data globals.h
@@ -58,7 +60,7 @@
 install:
 	mkdir -p $(DESTDIR)$(BINDIR)
 	mkdir -p $(DESTDIR)$(GAMEDATADIR)/jumpnbump/
-	mkdir -p $(DESTDIR)$(DATADIR)/appdata/
+	mkdir -p $(DESTDIR)$(DATADIR)/metainfo/
 	mkdir -p $(DESTDIR)$(DATADIR)/applications/
 	mkdir -p $(DESTDIR)$(DATADIR)/icons/
 	mkdir -p $(DESTDIR)$(DATADIR)/man/man6/
@@ -66,21 +68,19 @@
 	install -m 644 data/jumpbump.dat \
 		$(DESTDIR)$(GAMEDATADIR)/jumpnbump/jumpbump.dat
 	install -m 644 dist/jumpnbump.appdata.xml \
-		$(DESTDIR)$(DATADIR)/appdata/jumpnbump.appdata.xml
+		$(DESTDIR)$(DATADIR)/metainfo/jumpnbump.appdata.xml
 	install -m 644 dist/jumpnbump.desktop \
 		$(DESTDIR)$(DATADIR)/applications/jumpnbump.desktop
-	install -m 644 dist/jumpnbump-menu.desktop \
-		$(DESTDIR)$(DATADIR)/applications/jumpnbump-menu.desktop
 	install -m 644 dist/jumpnbump.png \
 		$(DESTDIR)$(DATADIR)/icons/jumpnbump.png
 	install -m 644 dist/jumpnbump.6 $(DESTDIR)$(DATADIR)/man/man6/
 
-	$(MAKE) -C menu install
+#	$(MAKE) -C menu install
 
 uninstall:
 	for bin in $(BINARIES); do $(RM) $(DESTDIR)$(BINDIR)/$$bin; done
 	$(RM) -r $(DESTDIR)$(GAMEDATADIR)/jumpnbump
-	$(RM) $(DESTDIR)$(DATADIR)/appdata/jumpnbump.appdata.xml
+	$(RM) $(DESTDIR)$(DATADIR)/metainfo/jumpnbump.appdata.xml
 	$(RM) $(DESTDIR)$(DATADIR)/applications/jumpnbump.desktop
 	$(RM) $(DESTDIR)$(DATADIR)/icons/jumpnbump.png
 	$(RM) $(DESTDIR)$(DATADIR)/man/man6/jumpnbump.6

=== data/Makefile ===
EXEC ?= exec

GOBPACK = ../gobpack$(EXE)
JNBPACK = ../jnbpack$(EXE)
GOBS = font.gob numbers.gob objects.gob rabbit.gob
DATAFILES = bump.mod calib.dat death.smp fly.smp jump.mod \
	jump.smp levelmap.txt level.pcx mask.pcx menu.pcx \
	menumask.pcx $(GOBS) scores.mod splash.smp spring.smp

all: jumpbump.dat

font.gob: $(GOBPACK)
	$(EXEC) $(GOBPACK) font

rabbit.gob: $(GOBPACK)
	$(EXEC) $(GOBPACK) rabbit

numbers.gob: $(GOBPACK)
	$(EXEC) $(GOBPACK) numbers

objects.gob: $(GOBPACK)
	$(EXEC) $(GOBPACK) objects

jumpbump.dat: $(DATAFILES) $(JNBPACK)
	$(EXEC) $(JNBPACK) -o jumpbump.dat $(DATAFILES)

$(JNBPACK):
	$(MAKE) -C ../modify

clean:
	$(RM) jumpbump.dat $(GOBS)

=== menu/Makefile ===
--- 
+++ 
@@ -22,11 +22,13 @@
 install:
 	install -D -m 644 jumpnbump_menu.glade $(DESTDIR)$(GAMEDATADIR)/jumpnbump/jumpnbump_menu.glade
 	install -D -m 755 jumpnbump_menu.py $(DESTDIR)$(BINDIR)/jumpnbump-menu
+	install -D -m 644 ../dist/jumpnbump-menu.desktop $(DESTDIR)$(DATADIR)/applications/jumpnbump-menu.desktop
 
 	$(MAKE) -C po install
 
 uninstall:
 	$(RM) $(DESTDIR)$(GAMEDATADIR)/jumpnbump/jumpnbump_menu.glade
 	$(RM) $(DESTDIR)$(BINDIR)/jumpnbump-menu
+	$(RM) $(DESTDIR)$(DATADIR)/applications/jumpnbump-menu.desktop
 
 	$(MAKE) -C po uninstall

=== modify/Makefile ===
INCLUDES += -I..
CFLAGS += $(DEFINES) $(INCLUDES)
# Override libs, SDL2 not needed
LIBS =

OBJS = gobpack.o jnbpack.o jnbunpack.o
GOBPACK = ../gobpack$(EXE)
JNBPACK = ../jnbpack$(EXE)
JNBUNPACK = ../jnbunpack$(EXE)
TARGETS = $(GOBPACK) $(JNBPACK) $(JNBUNPACK)

all: $(TARGETS)

$(GOBPACK): gobpack.o
	$(CC) $(CFLAGS) -o $(GOBPACK) gobpack.o $(LDFLAGS) $(LIBS)

$(JNBPACK): jnbpack.o
	$(CC) $(CFLAGS) -o $(JNBPACK) jnbpack.o $(LDFLAGS) $(LIBS)

$(JNBUNPACK): jnbunpack.o
	$(CC) $(CFLAGS) -o $(JNBUNPACK) jnbunpack.o $(LDFLAGS) $(LIBS)

clean:
	$(RM) $(TARGETS) $(OBJS)

=== sdl/Makefile ===
INCLUDES += -I..
CFLAGS += $(DEFINES) $(SDL_CFLAGS) $(INCLUDES)

OBJS = gfx.o interrpt.o sound.o input.o
TARGET = ../sdl.a

all: $(TARGET)

$(TARGET): $(OBJS)
	$(AR) cru $(TARGET) $(OBJS)
	ranlib $(TARGET)

clean:
	$(RM) $(TARGET) $(OBJS)

=== menu/po/Makefile ===
DESTDIR ?=
PREFIX ?= /usr/local
DATADIR ?= $(PREFIX)/share

LANGS = $(subst .po,,$(wildcard *.po))
MOS   = $(subst .po,.mo,$(wildcard *.po))

all: $(MOS)

clean:
	rm -f $(MOS)

install:
	for lang in $(LANGS) ; do \
	  install -D -m 0644 $$lang.mo $(DESTDIR)$(DATADIR)/locale/$$lang/LC_MESSAGES/jumpnbump-menu.mo ; \
	done

uninstall:
	for lang in $(LANGS) ; do \
	  rm $(DESTDIR)$(DATADIR)/locale/$$lang/LC_MESSAGES/jumpnbump-menu.mo ; \
	done

%.mo: %.po
	msgfmt -o $@ $<

=== debian/changelog ===
jumpnbump (1.61-6) unstable; urgency=medium

  * Cherry-pick patch from upstream to fix showing level thumbnails
    with PIL 10+ (Closes: #1127432), refresh other patches and
    re-index from the '1.61' tag of the master branch
  * Fix AppStream metadata
  * Fix HTML national encoding
  * Update debian/watch file to version 5
  * Bump Standards-Version to 4.7.3, drop redundant Priority and RRR
    fields from debian/control

 -- Fabian Greffrath <fabian@debian.org>  Tue, 10 Feb 2026 09:03:46 +0100

jumpnbump (1.61-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Fabian Greffrath ]
  * Fix debian/watch file, thanks Patrice Duroux (Closes: #1079921)
  * Replace Build-Depends on dh-python and python3:any with
    dh-sequence-python3
  * Bump Standards-Version to 4.7.0
  * Bump Debian packaging copyright year

 -- Fabian Greffrath <fabian@debian.org>  Fri, 04 Oct 2024 09:39:54 +0200

jumpnbump (1.61-4) unstable; urgency=medium

  * Fix debian/watch file.
  * Add and rearrange post-release upstream patches from the 6ac07f
    commit.
  * Shorten malformed Build-Depends line to python3:any.
  * Bump debhelper-compat to 13.
  * Bump Standards-Version to 4.6.0.
  * Rules-Requires-Root: no.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 09 Sep 2021 09:53:33 +0200

jumpnbump (1.61-3.1) unstable; urgency=medium

  * Non-maintainer upload with maintainers approval.
  * Apply upstream fix to prevent crash on systems where char is unsigned.
    (Closes: 987333)

 -- Peter Michael Green <plugwash@debian.org>  Sat, 24 Apr 2021 13:35:52 +0100

jumpnbump (1.61-3) unstable; urgency=medium

  * Backport post-release patch from upstream to add future gcc
    default -fno-common and fix code (Closes: #957394).

 -- Fabian Greffrath <fabian@debian.org>  Sun, 26 Jul 2020 16:48:41 +0200

jumpnbump (1.61-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against Python 3.8.
  * debian/copyright: Update copyright information for
    dist/jumpnbump.appdata.xml (lintian warning).

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Nov 2019 11:12:55 -0500

jumpnbump (1.61-1) unstable; urgency=medium

  * New upstream version 1.61
  * Remove all patches, applied upstream.
  * Bring back jumpnbump-menu, it has been ported to Python 3 and GTK+3.
  * Apply a post-release commit from upstream to use Pillow instead of
    ImageMagick for the level preview generation in jumpnbump-menu.
  * Bump debhelper-compat to 12.
  * Bump Standards-Version to 4.4.0.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 16 Sep 2019 17:49:59 +0200

jumpnbump (1.60-4) unstable; urgency=medium

  * Fix debian/watch file.
  * Replace debian/patches/* with all upstream commits
    since the 1.60 release.

 -- Fabian Greffrath <fabian@debian.org>  Sun, 13 Jan 2019 20:37:56 +0100

=== debian/control ===
Source: jumpnbump
Section: games
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Fabian Greffrath <fabian@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 libbz2-dev,
 libsdl2-dev,
 libsdl2-mixer-dev,
 libsdl2-net-dev,
 zlib1g-dev
Standards-Version: 4.7.3
Homepage: https://gitlab.com/LibreGames/jumpnbump/
Vcs-Git: https://salsa.debian.org/games-team/jumpnbump.git
Vcs-Browser: https://salsa.debian.org/games-team/jumpnbump

Package: jumpnbump
Architecture: any
Suggests:
 jumpnbump-levels
Depends:
 gir1.2-gtk-3.0,
 python3-gi,
 python3-pil,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Description: cute multiplayer platform game with bunnies
 You, as a bunny, have to jump on your opponents to make them
 explode.  It's a true multiplayer game, you can't play this alone.
 It has network support.
 .
 This program is a unix port of the old DOS game by brainchilddesign.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3

override_dh_auto_build:
	dh_auto_build -- PREFIX=/usr BINDIR=/usr/games GAMEDATADIR=/usr/share/games
	dh_auto_build -- PREFIX=/usr BINDIR=/usr/games GAMEDATADIR=/usr/share/games -C menu

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr BINDIR=/usr/games GAMEDATADIR=/usr/share/games
	dh_auto_install -- PREFIX=/usr BINDIR=/usr/games GAMEDATADIR=/usr/share/games -C menu

execute_after_dh_install:
	mv -f debian/jumpnbump/usr/share/metainfo/jumpnbump.appdata.xml \
	      debian/jumpnbump/usr/share/metainfo/io.gitlab.LibreGames.jumpnbump.metainfo.xml
	mv -f debian/jumpnbump/usr/share/applications/jumpnbump.desktop \
	      debian/jumpnbump/usr/share/applications/io.gitlab.LibreGames.jumpnbump.desktop

=== debian/watch ===
Version: 5
Template: GitLab
Dist: https://gitlab.com/LibreGames/jumpnbump
